//234567890123456789012345678901234567890123456789012345678
import greenfoot.*;
/**
 * This is the world class for a scenario that is designed
 * to illustrate how to use custom arrow buttons to scroll
 * the background of the world right and left through
 * three different scenes.
 * 
 * This scenario illustrates the kind of behavior that you
 * might see in a child's educational game where the player
 * is allowed to progress back and forth through different
 * scenes or worlds.
 * 
 * @author Dick Baldwin 
 * @version July 6, 2008
 */
public class ArrowButton02 extends World{
  ArrowButtonManager02.RightArrow rightArrow;
  ArrowButtonManager02.LeftArrow leftArrow;
  
  public ArrowButton02(){//constructor
    //Set the size of the world, populate the world with
    // two custom buttons, and set the initial background
    // for the world.  Note that the classes from which the
    // button objects are instantiated are static top-level
    // classes of the class named ArrowButtonManager02.
    super(450,450,1);
    rightArrow = new ArrowButtonManager02.RightArrow();
    leftArrow = new ArrowButtonManager02.LeftArrow();
    addObject(rightArrow,400,225);
    addObject(leftArrow,50,225);
    setBackground(new GreenfootImage("bathroom-tile.gif"));
  }//end constructor
}//end class
